PNGINSPECT(1p)

NAME
pnginspect - print contents of PNG files

SYNOPSIS
    pnginspect a.png b.png c.png

DESCRIPTION
Print a text representation of the data within a PNG image file to standard output. It reads the PNG file, prints out its header information and its valid chunks, and then attempts to read all the chunks. Most of the chunks are printed using Data::Dumper. Modification time and text segments are printed specially.

The image data is not currently printed out.

If you have Data::Validate::URI and LWP::Simple installed, you can also use it to examine PNG files on the web, like this:

    pnginspect http://libpng.org/pub/png/img_png/libpng-88x31.png

These modules are not installed automatically by Image::PNG::Libpng, so please install them yourself if you would like to use this facility.

OPTIONS

--verbose
    Print verbose information for debugging.

SEE ALSO

Image::PNG::Libpng

AUTHOR
Ben Bullock <bkb@cpan.org>